Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.c14n
Class InvalidCanonicalizerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xml.security.exceptions.XMLSecurityException
                  org.apache.xml.security.c14n.InvalidCanonicalizerException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidCanonicalizerException

extends XMLSecurityException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`msgID`

Constructor Summary
`InvalidCanonicalizerException()` Constructor InvalidCanonicalizerException
`InvalidCanonicalizerException(java.lang.String msgID)` Constructor InvalidCanonicalizerException
`InvalidCanonicalizerException(java.lang.String msgID, java.lang.Exception originalException)` Constructor InvalidCanonicalizerException
`InvalidCanonicalizerException(java.lang.String msgID, java.lang.Object[] exArgs)` Constructor InvalidCanonicalizerException
`InvalidCanonicalizerException(java.lang.String msgID, java.lang.Object[] exArgs, java.lang.Exception originalException)` Constructor InvalidCanonicalizerException

Method Summary

Methods inherited from class org.apache.xml.security.exceptions.XMLSecurityException
`getMsgID, getOriginalException, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidCanonicalizerException

    public InvalidCanonicalizerException()

  Constructor InvalidCanonicalizerException

### InvalidCanonicalizerException

    public InvalidCanonicalizerException(java.lang.String msgID)

  Constructor InvalidCanonicalizerException

  Parameters:
    `msgID` -

### InvalidCanonicalizerException

    public InvalidCanonicalizerException(java.lang.String msgID,
                                         java.lang.Object[] exArgs)

  Constructor InvalidCanonicalizerException

  Parameters:
    `msgID` -
    `exArgs` -

### InvalidCanonicalizerException

    public InvalidCanonicalizerException(java.lang.String msgID,
                                         java.lang.Exception originalException)

  Constructor InvalidCanonicalizerException

  Parameters:
    `msgID` -
    `originalException` -

### InvalidCanonicalizerException

    public InvalidCanonicalizerException(java.lang.String msgID,
                                         java.lang.Object[] exArgs,
                                         java.lang.Exception originalException)

  Constructor InvalidCanonicalizerException

  Parameters:
    `msgID` -
    `exArgs` -
    `originalException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD